if (isDedicated) exitWith {};
waitUntil {!isNull player};

BAKE_VREST_RESTRICTIONS = missionNamespace getVariable ["BAKE_VREST_RESTRICTIONS", []];
BAKE_VREST_CHECK_INTERVAL = missionNamespace getVariable ["BAKE_VREST_CHECK_INTERVAL", 0.1];
BAKE_VREST_SHOW_ROLE = missionNamespace getVariable ["BAKE_VREST_SHOW_ROLE", false];

while {true} do
{
	_vehicle = vehicle player;
	
	if (_vehicle != player) then
	{
		_role = str assignedVehicleRole player;
		
		if (BAKE_VREST_SHOW_ROLE) then
		{
			hintSilent _role;
			copyToClipboard _role;
		};
		
		for "_i" from 1 to count BAKE_VREST_RESTRICTIONS step 2 do
		{
			if (str _vehicle in (BAKE_VREST_RESTRICTIONS select (_i - 1))) then
			{
				{
					_restrictedRoles = _x select 0;
					_playerWhitelist = _x select 1;
					
					if (_role in _restrictedRoles &&
						!(str player in _playerWhitelist) && !(getPlayerUID player in _playerWhitelist)) exitWith
					{
						moveOut player;
						titleText [_x select 2, "PLAIN", 0.2];
					};
				} forEach (BAKE_VREST_RESTRICTIONS select _i);
			};
		};
	};
	
	sleep BAKE_VREST_CHECK_INTERVAL;
};
